MLflow models
Search model versions
Get metadata for a model version.
GET
/
api
/
2.0
/
mlflow
/
model-versions
/
search
cURL
curl --request GET \
--url https://mycluster.domino.tech/api/2.0/mlflow/model-versions/searchimport requests
url = "https://mycluster.domino.tech/api/2.0/mlflow/model-versions/search"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://mycluster.domino.tech/api/2.0/mlflow/model-versions/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mycluster.domino.tech/api/2.0/mlflow/model-versions/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mycluster.domino.tech/api/2.0/mlflow/model-versions/search"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://mycluster.domino.tech/api/2.0/mlflow/model-versions/search")
.asString();require 'uri'
require 'net/http'
url = URI("https://mycluster.domino.tech/api/2.0/mlflow/model-versions/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"model_versions": [
{
"name": "<string>",
"version": "<string>",
"creation_timestamp": 123,
"last_updated_timestamp": 123,
"current_stage": "<string>",
"description": "<string>",
"source": "<string>",
"status": "PENDING_REGISTRATION",
"tags": [
{
"key": "<string>",
"value": "<string>"
}
],
"user_id": "<string>",
"run_id": "<string>",
"status_message": "<string>",
"run_link": "<string>",
"aliases": [
"<string>"
]
}
],
"next_page_token": "<string>"
}{
"error_code": "INTERNAL_ERROR",
"message": "<string>"
}Query Parameters
String filter condition, like “name LIKE ‘my-model-name’”. Interpreted in the backend automatically as “name LIKE ‘%my-model-name%’”. Single boolean condition, with string values wrapped in single quotes.
Max number of results to include in response. Defaults to 10000.
List of columns for ordering search results, which can include model name and last updated timestamp with an optional “DESC” or “ASC” annotation, where “ASC” is the default. Tiebreaks are done by model name ASC.
Pagination token to go to the next page based on a previous search query. Note: This may by broken in mlflow 2.2.2
Was this page helpful?
⌘I
cURL
curl --request GET \
--url https://mycluster.domino.tech/api/2.0/mlflow/model-versions/searchimport requests
url = "https://mycluster.domino.tech/api/2.0/mlflow/model-versions/search"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://mycluster.domino.tech/api/2.0/mlflow/model-versions/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mycluster.domino.tech/api/2.0/mlflow/model-versions/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mycluster.domino.tech/api/2.0/mlflow/model-versions/search"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://mycluster.domino.tech/api/2.0/mlflow/model-versions/search")
.asString();require 'uri'
require 'net/http'
url = URI("https://mycluster.domino.tech/api/2.0/mlflow/model-versions/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"model_versions": [
{
"name": "<string>",
"version": "<string>",
"creation_timestamp": 123,
"last_updated_timestamp": 123,
"current_stage": "<string>",
"description": "<string>",
"source": "<string>",
"status": "PENDING_REGISTRATION",
"tags": [
{
"key": "<string>",
"value": "<string>"
}
],
"user_id": "<string>",
"run_id": "<string>",
"status_message": "<string>",
"run_link": "<string>",
"aliases": [
"<string>"
]
}
],
"next_page_token": "<string>"
}{
"error_code": "INTERNAL_ERROR",
"message": "<string>"
}